MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028401Open CASCADE[OCCT] OCCT:Configurationpublic2017-01-27 18:152017-09-29 16:24
Reportervsv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028401: Configuration - unresolved symbol OpenGl_VertexBuffer::unbindFixedColor()
DescriptionOn link with OpenGl library a linker reports error:
unresolved external symbol "private: static void __cdecl OpenGl_VertexBuffer::unbindFixedColor(class opencascade::handle<class OpenGl_Context> const &)
It is appeared because the non-exported unbindFixedColor is called from a public inline method unbindAttribute.
Steps To Reproduce•Reference to issue in bug tracker of another project
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0063149)
git (administrator)
2017-01-27 18:23

Branch CR28401 has been created by vsv.

SHA-1: 140daa7ff7348001379deb6f9fb2e816b0c7818c


Detailed log of new commits:

Author: vsv
Date: Fri Jan 27 18:22:40 2017 +0300

    0028401: Unresolved symbol on OpenGl_VertexBuffer using
(0063153)
kgv (developer)
2017-01-27 18:31

Please correct your mail in git settings and modify commit message following recommended style (I have edited bug title).
(0063182)
git (administrator)
2017-01-30 12:05

Branch CR28401 has been updated by vsv.

SHA-1: efa59fda7b8f3b1354757c143e4d79bedffb101a


Detailed log of new commits:

Author: vsv
Date: Mon Jan 30 12:05:12 2017 +0300

    0028401: Configuration - unresolved symbol OpenGl_VertexBuffer::unbindFixedColor()

Author: vsv
Date: Mon Jan 30 12:00:02 2017 +0300

    Revert "0028401: Unresolved symbol on OpenGl_VertexBuffer using"
    
    This reverts commit 140daa7ff7348001379deb6f9fb2e816b0c7818c.

(0063183)
kgv (developer)
2017-01-30 12:14

The branch in currents state consists of 3 commits.
This contradicts to recommended bug advancement workflow.
(0063195)
git (administrator)
2017-01-30 15:52

Branch CR28401 has been deleted by vsv.

SHA-1: efa59fda7b8f3b1354757c143e4d79bedffb101a
(0063201)
git (administrator)
2017-01-30 16:05

Branch CR28401 has been created by vsv.

SHA-1: 30064881bd125b979eaa7c301124ee47f17053fe


Detailed log of new commits:

Author: vsv
Date: Mon Jan 30 16:05:19 2017 +0300

    0028401: Configuration - unresolved symbol OpenGl_VertexBuffer::unbindFixedColor()
(0063204)
kgv (developer)
2017-01-30 16:39

Please just check compilation, regression testing is not needed.
(0063224)
mkv (tester)
2017-01-30 20:00

Dear BugMaster,
Branch CR28401 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 30064881bd125b979eaa7c301124ee47f17053fe

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1143
(0063225)
mkv (tester)
2017-01-30 20:00

Dear BugMaster,
Branch CR28401 is TESTED.
(0063631)
git (administrator)
2017-02-08 11:36

Branch CR28401 has been deleted by kgv.

SHA-1: 30064881bd125b979eaa7c301124ee47f17053fe

- Related Changesets
occt: master f114566d
Timestamp: 2017-01-30 13:05:19
Author: vsv
Committer: apn
Details ] Diff ]
0028401: Configuration - unresolved symbol OpenGl_VertexBuffer::unbindFixedColor()
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-27 18:15 vsv New Issue
2017-01-27 18:15 vsv Assigned To => kgv
2017-01-27 18:23 git Note Added: 0063149
2017-01-27 18:23 vsv Assigned To kgv => vsv
2017-01-27 18:24 vsv Assigned To vsv => kgv
2017-01-27 18:24 vsv Status new => resolved
2017-01-27 18:24 vsv Steps to Reproduce Updated View Revisions
2017-01-27 18:31 kgv Note Added: 0063153
2017-01-27 18:31 kgv Assigned To kgv => vsv
2017-01-27 18:31 kgv Status resolved => assigned
2017-01-27 18:31 kgv Category OCCT:Visualization => OCCT:Configuration
2017-01-27 18:31 kgv Summary Unresolved symbol on OpenGl_VertexBuffer using => Configuration - unresolved symbol OpenGl_VertexBuffer::unbindFixedColor()
2017-01-30 12:05 git Note Added: 0063182
2017-01-30 12:07 vsv Assigned To vsv => bugmaster
2017-01-30 12:07 vsv Status assigned => resolved
2017-01-30 12:14 kgv Note Added: 0063183
2017-01-30 12:14 kgv Assigned To bugmaster => vsv
2017-01-30 12:14 kgv Status resolved => assigned
2017-01-30 15:52 git Note Added: 0063195
2017-01-30 16:05 git Note Added: 0063201
2017-01-30 16:10 vsv Assigned To vsv => san
2017-01-30 16:10 vsv Assigned To san => bugmaster
2017-01-30 16:10 vsv Status assigned => resolved
2017-01-30 16:10 vsv Assigned To bugmaster => san
2017-01-30 16:39 kgv Note Added: 0063204
2017-01-30 16:39 kgv Assigned To san => bugmaster
2017-01-30 16:39 kgv Severity minor => trivial
2017-01-30 16:39 kgv Status resolved => reviewed
2017-01-30 16:41 kgv Relationship added child of 0028180
2017-01-30 17:21 mkv Assigned To bugmaster => mkv
2017-01-30 20:00 mkv Note Added: 0063224
2017-01-30 20:00 mkv Note Added: 0063225
2017-01-30 20:00 mkv Assigned To mkv => bugmaster
2017-01-30 20:00 mkv Status reviewed => tested
2017-01-30 20:00 mkv Test case number => Not needed
2017-02-03 16:52 apn Changeset attached => occt master f114566d
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063631
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker